package com.ruoyi.mall.mapper;

import java.util.List;
import com.ruoyi.mall.domain.UserChoosetype ;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2025-01-24
 */
public interface UserChoosetypeMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public UserChoosetype selectUserChoosetypeById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param userChoosetype 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<UserChoosetype> selectUserChoosetypeList(UserChoosetype userChoosetype);

    /**
     * 新增【请填写功能名称】
     * 
     * @param userChoosetype 【请填写功能名称】
     * @return 结果
     */
    public int insertUserChoosetype(UserChoosetype userChoosetype);

    /**
     * 修改【请填写功能名称】
     * 
     * @param userChoosetype 【请填写功能名称】
     * @return 结果
     */
    public int updateUserChoosetype(UserChoosetype userChoosetype);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteUserChoosetypeById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUserChoosetypeByIds(Long[] ids);

    void deleteUserChoosetypeByUser(Long userId);

    void insertUserChoosetypebatch(List<UserChoosetype> userchoosetypelist);

    List<UserChoosetype> selectUserChoosetypeByuserId(Long userId);
}
